Fantasy Grounds Fridays Pre
Page 5 of 6 First ... 3456 Last
  1. #41

    .
    @kelrugem - i need to double-check (starting a game now; will test after), but using the last update caused a bug where every dice roll produced this message:

    Script Error: [string "scripts/manager_actions.lua"]:548: attempt to call field 'isClientFGU' (a nil value)

    and things like weapon damage or heals, none of it worked.

    i disabled the extension and bug disappeared.
    -----
    roll dice. it builds character.

  2. #42
    Kelrugem's Avatar
    Join Date
    Sep 2018
    Location
    Geneva, Switzerland, and Lyon, France
    Posts
    1,980
    Quote Originally Posted by tahl_liadon View Post

    .
    @kelrugem - i need to double-check (starting a game now; will test after), but using the last update caused a bug where every dice roll produced this message:

    Script Error: [string "scripts/manager_actions.lua"]:548: attempt to call field 'isClientFGU' (a nil value)

    and things like weapon damage or heals, none of it worked.

    i disabled the extension and bug disappeared.
    Hm, that is strange. Did you try to redownload the extension? I was not able to reproduce it. What other extensions do you have? Did you update to 3.3.11? (because this function isClientFGU does not exist in 3.3.10 which may explain your issue) The new version is for 3.3.11

    (and sorry that your game can not use it right now)
    Last edited by Kelrugem; July 26th, 2020 at 00:42.

  3. #43
    .
    .
    this is my setup (see image for active extensions) -- same error message:
    - fg 3.3.11
    - this extension (whatever version in link in first post)
    .
    .

    Attached Images Attached Images
    -----
    roll dice. it builds character.

  4. #44
    Kelrugem's Avatar
    Join Date
    Sep 2018
    Location
    Geneva, Switzerland, and Lyon, France
    Posts
    1,980
    Quote Originally Posted by tahl_liadon View Post
    .
    .
    this is my setup (see image for active extensions) -- same error message:
    - fg 3.3.11
    - this extension (whatever version in link in first post)
    .
    .

    Thank you very much

    Oki, I need some help, I can't reproduce it.

    Can you try this also in a test campagin? Only with that extension loaded

    Can you try to delete CoreRPG.pak in your ruleset folder and then make an update? Maybe you somehow didn't get the CoreRPG file where this isClientFGU is stored

  5. #45

    .
    so apparently fg 3.3.11 was a major update that definitely affected my themed interface.

    usually, the click-to-update upon fg load was enough; however, not so, and that was why that error occurred. (don't ask me exactly how X-D)

    long story short: i downloaded all fresh 3.3.11 rulesets, and then updated my graphics themed files in all relevant .pak files. all extensions (including yours) seem to work again upon quick test... we'll see what will break during actual session tomorrow!
    -----
    roll dice. it builds character.

  6. #46
    Kelrugem's Avatar
    Join Date
    Sep 2018
    Location
    Geneva, Switzerland, and Lyon, France
    Posts
    1,980
    Quote Originally Posted by tahl_liadon View Post

    .
    so apparently fg 3.3.11 was a major update that definitely affected my themed interface.

    usually, the click-to-update upon fg load was enough; however, not so, and that was why that error occurred. (don't ask me exactly how X-D)

    long story short: i downloaded all fresh 3.3.11 rulesets, and then updated my graphics themed files in all relevant .pak files. all extensions (including yours) seem to work again upon quick test... we'll see what will break during actual session tomorrow!
    aah, okay So, you directly edit the .pak files for your graphics? That can cause such issues You need to write an extension for your theme, do you know how to do this? I can try to help if you want In that way your themes are more compatible for future updates (as you see, the error was about an update needed for FGU; due to FGU's development this can occur a bit more often now )

  7. #47
    Quote Originally Posted by Kelrugem View Post
    You need to write an extension for your theme, do you know how to do this? I can try to help if you want

    .
    you have too much faith in my code-fu ... which is basically white belt at best X-D

    i hear what you're saying (and imagine you cringing from the knowledge of how i've been doing it). i would have zero knowledge how to do what you're suggesting. i've resigned to do it the manual and hard way... my archaic methods seem (and is) time-consuming, but kinda fun for me.

    if you'd like to tackle it, sure! that would be great. i will email you links to my hacked .pak files to review. i only affected things in the "graphics" directory of these .pak files.
    -----
    roll dice. it builds character.

  8. #48
    Kelrugem's Avatar
    Join Date
    Sep 2018
    Location
    Geneva, Switzerland, and Lyon, France
    Posts
    1,980
    Quote Originally Posted by tahl_liadon View Post

    .
    you have too much faith in my code-fu ... which is basically white belt at best X-D

    i hear what you're saying (and imagine you cringing from the knowledge of how i've been doing it). i would have zero knowledge how to do what you're suggesting. i've resigned to do it the manual and hard way... my archaic methods seem (and is) time-consuming, but kinda fun for me.

    if you'd like to tackle it, sure! that would be great. i will email you links to my hacked .pak files to review. i only affected things in the "graphics" directory of these .pak files.
    hehe, no worries I have seen your email and try to look at this next weekend It is not so difficult, I try to make a template which you can use

  9. #49
    Receiving same problem as Tahl at 3.3.11
    I've tried disabling other extensions.
    Downloading alternative icon version.
    Removing core, 3.5, pathfinder pak and redownloading.
    Creating clean campaign with only this extension.

    So far nothing works.


    Okay, found reason. I've deleted every unpacked folder of .pak. I did not expect FG to read files that are not .pak, and treat them as more important than .pak.
    Last edited by Corun; August 4th, 2020 at 21:08.

  10. #50
    Kelrugem's Avatar
    Join Date
    Sep 2018
    Location
    Geneva, Switzerland, and Lyon, France
    Posts
    1,980
    Quote Originally Posted by Corun View Post
    Receiving same problem as Tahl at 3.3.11
    I've tried disabling other extensions.
    Downloading alternative icon version.
    Removing core, 3.5, pathfinder pak and redownloading.
    Creating clean campaign with only this extension.

    So far nothing works.


    Okay, found reason. I've deleted every unpacked folder of .pak. I did not expect FG to read files that are not .pak, and treat them as more important than .pak.
    Hm, I have sadly no idea what is going on then, did you double-check whether you have unzipped rulesets in the ruleset folder? You can see that the FG version is 3.3.11 in the launcher (upper right corner)? I can't reproduce sadly. If you feel comfortable, then you could look into the CoreRPG code whether that function isClientFGU exists in the UtilityManager

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Joshua Stream Pre

Log in

Log in